Package com.sap.ai.sdk.core.model

# Class MetaExtensions

java.lang.Object
com.sap.ai.sdk.core.model.MetaExtensions

public class MetaExtensions extends Object
MetaExtensions

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `MetaExtensions()`
  Default constructor for MetaExtensions.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MetaExtensions`
  `analytics(MetaExtensionsAnalytics analytics)`
  Set the analytics of this `MetaExtensions` instance and return the same instance.
  `static MetaExtensions`
  `create()`
  Create a new `MetaExtensions` instance.
  `MetaExtensions`
  `dataset(MetaExtensionsDataset dataset)`
  Set the dataset of this `MetaExtensions` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `MetaExtensionsAnalytics`
  `getAnalytics()`
  Get analytics
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `MetaExtensions`.
  `MetaExtensionsDataset`
  `getDataset()`
  Get dataset
  `MetaExtensionsMetrics`
  `getMetrics()`
  Get metrics
  `MetaExtensionsAnalytics`
  `getResourceGroups()`
  Get resourceGroups
  `int`
  `hashCode()`
  `MetaExtensions`
  `metrics(MetaExtensionsMetrics metrics)`
  Set the metrics of this `MetaExtensions` instance and return the same instance.
  `MetaExtensions`
  `resourceGroups(MetaExtensionsAnalytics resourceGroups)`
  Set the resourceGroups of this `MetaExtensions` instance and return the same instance.
  `void`
  `setAnalytics(MetaExtensionsAnalytics analytics)`
  Set the analytics of this `MetaExtensions` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `MetaExtensions` instance.
  `void`
  `setDataset(MetaExtensionsDataset dataset)`
  Set the dataset of this `MetaExtensions` instance.
  `void`
  `setMetrics(MetaExtensionsMetrics metrics)`
  Set the metrics of this `MetaExtensions` instance.
  `void`
  `setResourceGroups(MetaExtensionsAnalytics resourceGroups)`
  Set the resourceGroups of this `MetaExtensions` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `MetaExtensions` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MetaExtensions

    protected MetaExtensions()
    Default constructor for MetaExtensions.

- ## Method Details

  - ### analytics

    @Nonnull public MetaExtensions analytics(@Nullable MetaExtensionsAnalytics analytics)
    Set the analytics of this `MetaExtensions` instance and return the same instance.
    Parameters:
      `analytics` - The analytics of this `MetaExtensions`
    Returns:
      The same instance of this `MetaExtensions` class

  - ### getAnalytics

    @Nonnull public MetaExtensionsAnalytics getAnalytics()
    Get analytics
    Returns:
      analytics The analytics of this `MetaExtensions` instance.

  - ### setAnalytics

    public void setAnalytics(@Nullable MetaExtensionsAnalytics analytics)
    Set the analytics of this `MetaExtensions` instance.
    Parameters:
      `analytics` - The analytics of this `MetaExtensions`

  - ### resourceGroups

    @Nonnull public MetaExtensions resourceGroups(@Nullable MetaExtensionsAnalytics resourceGroups)
    Set the resourceGroups of this `MetaExtensions` instance and return the same instance.
    Parameters:
      `resourceGroups` - The resourceGroups of this `MetaExtensions`
    Returns:
      The same instance of this `MetaExtensions` class

  - ### getResourceGroups

    @Nonnull public MetaExtensionsAnalytics getResourceGroups()
    Get resourceGroups
    Returns:
      resourceGroups The resourceGroups of this `MetaExtensions` instance.

  - ### setResourceGroups

    public void setResourceGroups(@Nullable MetaExtensionsAnalytics resourceGroups)
    Set the resourceGroups of this `MetaExtensions` instance.
    Parameters:
      `resourceGroups` - The resourceGroups of this `MetaExtensions`

  - ### dataset

    @Nonnull public MetaExtensions dataset(@Nullable MetaExtensionsDataset dataset)
    Set the dataset of this `MetaExtensions` instance and return the same instance.
    Parameters:
      `dataset` - The dataset of this `MetaExtensions`
    Returns:
      The same instance of this `MetaExtensions` class

  - ### getDataset

    @Nonnull public MetaExtensionsDataset getDataset()
    Get dataset
    Returns:
      dataset The dataset of this `MetaExtensions` instance.

  - ### setDataset

    public void setDataset(@Nullable MetaExtensionsDataset dataset)
    Set the dataset of this `MetaExtensions` instance.
    Parameters:
      `dataset` - The dataset of this `MetaExtensions`

  - ### metrics

    @Nonnull public MetaExtensions metrics(@Nullable MetaExtensionsMetrics metrics)
    Set the metrics of this `MetaExtensions` instance and return the same instance.
    Parameters:
      `metrics` - The metrics of this `MetaExtensions`
    Returns:
      The same instance of this `MetaExtensions` class

  - ### getMetrics

    @Nonnull public MetaExtensionsMetrics getMetrics()
    Get metrics
    Returns:
      metrics The metrics of this `MetaExtensions` instance.

  - ### setMetrics

    public void setMetrics(@Nullable MetaExtensionsMetrics metrics)
    Set the metrics of this `MetaExtensions` instance.
    Parameters:
      `metrics` - The metrics of this `MetaExtensions`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `MetaExtensions`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `MetaExtensions` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `MetaExtensions` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `MetaExtensions` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static MetaExtensions create()
    Create a new `MetaExtensions` instance. No arguments are required.